Skip to content
Guides
API reference
stable

List related products

Returns products related to the given one, for the recommendation block of a product page.

GET/v1/products/{productId}/related

Returns products related to the given one, for the recommendation block of a product page.

Path Parameters

productId*string

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
sellerId?null|string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/products/string/related"
[  {    "id": "string",    "name": "string",    "slug": "string",    "productType": "string",    "imageUrl": "string",    "price": 0.1,    "compareAtPrice": null,    "variantCount": 0,    "isAvailable": true,    "totalInventory": 0,    "bundleItemsCount": 0,    "brand": "string",    "category": "string",    "status": "string",    "collections": [      "string"    ],    "tags": [      "string"    ]  }]